Subject: Re: [pim] [email-masked] USA Pharmacy-Discount ID3515

From: Alexander Gall <[email-masked]>
Date: Sat, 23 Apr 2011 11:32:35 +0200 (CEST)

I'm on leave of absence until the end of June.  I will have very
limited access to my email and cannot attend to business matters
during this time.  Please contact <[email-masked]> for any issues
concerning the SWITCH network.

Sincerely,
Alexander Gall
SWITCH